import request from '@/service/index.js'

// 查询用户是否需要添加好友
export const ServeCheckFriend = (data) => {
  return request({
    url: '/api/v1/contact/friend/check',
    method: 'POST',
    data,
  })
}

// 主动添加好友（单向好友）
export const ServeAddFriend = (data) => {
  return request({
    url: '/api/v1/contact/friend/add',
    method: 'POST',
    data,
  })
}

// 查询我的好友列表
export const ServeQueryFriendsList = (data) => {
  return request({
    url: '/api/v1/contact/friend/list',
    method: 'POST',
    data,
  })
}

// 删除好友（单向好友）
export const ServeDeleteFriend = (data) => {
  return request({
    url: '/api/v1/contact/friend/delete',
    method: 'POST',
    data,
  })
}


//添加我的好友时候的搜索接口
export const ServeFriendSearch = (data) => {
  return request({
    url: '/api/v1/contact/friend/search',
    method: 'POST',
    data,
  })
}